gvSIG CE and SEXTANTE GIS Bug Tracker on MantisBT
Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000179gvSIG Community EditionRaster processingpublic2011-12-31 11:512017-06-18 22:56
Reporterbenducke 
Assigned Tobenducke 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product VersionAll released versions 
Target VersiongvSIG CE 1.0.1Fixed in Version 
Summary0000179: Allow loading of signed byte rasters via automatic conversion
DescriptionJava does not have a type to represent signed integer values in raster data (value range -127 to 128). Managing such data correctly has not been possible with any version of gvSIG so far. As a work-around, the software should offer the user to convert the data to short type upon loading. The conversion process could produce a permanent or temporary new raster dataset.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000882)
benducke (developer)
2017-06-18 22:56

This should not be a problem. We use GDAL for raster data. GDAL does not have an "unsigned byte" (http://www.gdal.org/gdal_8h.html [^]). Apparently, there is no use for this in the real world.

- Issue History
Date Modified Username Field Change
2011-12-31 11:51 benducke New Issue
2011-12-31 11:51 benducke Status new => assigned
2011-12-31 11:51 benducke Assigned To => benducke
2013-11-24 13:50 benducke Target Version gvSIG CE 1.0.0 => gvSIG CE 1.0.2
2016-06-26 10:48 benducke Target Version gvSIG CE 1.0.2 => gvSIG CE 1.0.1
2017-06-18 22:56 benducke Note Added: 0000882
2017-06-18 22:56 benducke Status assigned => resolved
2017-06-18 22:56 benducke Resolution open => fixed


Copyright © 2000 - 2011 MantisBT Group
Hosted by Sourceforge.netPowered by Mantis Bugtracker